summaryrefslogtreecommitdiff
path: root/test/full-pipeline/run-full-pipeline.sh
diff options
context:
space:
mode:
authorDavid Phillips <david@sighup.nz>2019-08-04 14:31:11 +1200
committerDavid Phillips <david@sighup.nz>2019-08-04 14:31:11 +1200
commit0e6f47211a0516cf2c96d2b9e89c0d841978c143 (patch)
tree10616e955a7be0f8ea92bdb35d72ec49566b5aaf /test/full-pipeline/run-full-pipeline.sh
parent4b1f9e2cb436e74ce6084dbc35df5f052cb701bf (diff)
downloadtoy-cpu-assembler-0e6f47211a0516cf2c96d2b9e89c0d841978c143.tar.xz
Add test recipe which skips valgrind
Diffstat (limited to 'test/full-pipeline/run-full-pipeline.sh')
-rwxr-xr-xtest/full-pipeline/run-full-pipeline.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/test/full-pipeline/run-full-pipeline.sh b/test/full-pipeline/run-full-pipeline.sh
index cfa149f..25f7bf7 100755
--- a/test/full-pipeline/run-full-pipeline.sh
+++ b/test/full-pipeline/run-full-pipeline.sh
@@ -40,17 +40,17 @@ for first_stage_asm in *.asm ; do
second_stage_bin="$WORK/${first_stage_asm}-second_stage.bin"
# Assemble test code
- if ! "$VALGRIND" $VALGRIND_OPTS "$ASM" "$first_stage_asm" "$first_stage_bin" ; then
+ if ! $VALGRIND $VALGRIND_OPTS "$ASM" "$first_stage_asm" "$first_stage_bin" ; then
fail "$first_stage_asm" "first stage assembly failed"
continue
fi
# Disassemble test code and re-assemble that disassembly
- if ! "$VALGRIND" $VALGRIND_OPTS "$DISASM" "$first_stage_bin" "$second_stage_asm" ; then
+ if ! $VALGRIND $VALGRIND_OPTS "$DISASM" "$first_stage_bin" "$second_stage_asm" ; then
fail "$first_stage_asm" "first stage disassembly failed"
continue
fi
- if ! "$VALGRIND" $VALGRIND_OPTS "$ASM" "$second_stage_asm" "$second_stage_bin" ; then
+ if ! $VALGRIND $VALGRIND_OPTS "$ASM" "$second_stage_asm" "$second_stage_bin" ; then
fail "$first_stage_asm" "second stage assembly failed"
continue
fi